---
name: Christen Dybenko
locality:
country: Remote
role: <a href="/job-families/product/product-manager/">Senior Product Manager</a>,
  Manage:Foundations
reports_to: uchetta
picture: christendybenko.jpg
twitter: x10
gitlab: cdybenko
departments:
- Product
- Product Management
- Dev PM Team
- Manage:Foundations Team
story: 'Christen lives and breathes design with a passion for product management.
  She has a background in user experience at Apple and several years as a full stack
  engineer. She''s Canadian, an early adopter, a biohacker and an interior design
  enthusiast.

  '
specialty:
- 'Manage: Foundations'

